#include <iostream>
#include <bits/stdc++.h>

using namespace std;

int main()
{
    int n;
    cin>>n;
    double a[n];
    double p[n];
    double zarada[n];
    for(int i = 0; i < n;++i){
        cin>>a[i];
        cin>>p[i];
        zarada[i] = 0;
    }
    for(int j = 0;j < n;++j){
        for(int i = 0;i < n;++i){
            if(p[i] >= p[j]){
                zarada[j] += (a[i] * p[j])/100;
            }
        }
    }
    sort(zarada,zarada+n);
    cout<<zarada[n - 1];
}